Jump to content


Photo

smart TV app refuses to connect to server


  • Please log in to reply
9 replies to this topic

#1 ThorvinRhuebarb OFFLINE  

ThorvinRhuebarb

    Newbie

  • Members
  • 7 posts
  • Local time: 03:37 PM

Posted 18 July 2019 - 08:06 PM

I have a LG WebOS TV UJ6200

Software Version 05.80.15

 

 

The Emby app installed on it (version 1.0.15) refuses to connect to my server (version 3.2.50.0 on Windows 10).

 

It gives a generic error that I need to update, when I check the server says it is up to date.

I uninstalled/reinstalled the client on the TV from the app store with no success.

 

This was working fine for months.

 



#2 Luke OFFLINE  

Luke

    System Architect

  • Administrators
  • 142318 posts
  • Local time: 02:37 PM

Posted 18 July 2019 - 09:02 PM

Hi there, are you really running Emby Server 3.2.50? Are you able to update to the latest version?



#3 ThorvinRhuebarb OFFLINE  

ThorvinRhuebarb

    Newbie

  • Members
  • 7 posts
  • Local time: 03:37 PM

Posted 19 July 2019 - 07:03 PM

That is the version the dashboard says.

 

The server is set to autoupdate, and the scheduled tasks say that it is running the updates (ran last night) I assumed that meant it was the current version.

 

Is there a way to force it to manually update?



#4 Luke OFFLINE  

Luke

    System Architect

  • Administrators
  • 142318 posts
  • Local time: 02:37 PM

Posted 19 July 2019 - 07:07 PM

You can just shutdown the server and then install the latest version on top of your existing version. We'll see how that migration goes. During 4.0 development, most of the upgrade testing was based on upgrading from 3.5 or 3.4.



#5 ThorvinRhuebarb OFFLINE  

ThorvinRhuebarb

    Newbie

  • Members
  • 7 posts
  • Local time: 03:37 PM

Posted 19 July 2019 - 08:09 PM

*sigh* 

 

well the update appears to have worked as far as "nothing new broke".

I can still access it via a web browser, but the app still just fails (by IP). 

 

I will mess with it some more after the family goes to bed and try DNS name.



#6 Luke OFFLINE  

Luke

    System Architect

  • Administrators
  • 142318 posts
  • Local time: 02:37 PM

Posted 19 July 2019 - 08:22 PM

Are you sure you entered the correct IP and port? Where did you get those values from? Are you able to connect from other devices on your network?



#7 ThorvinRhuebarb OFFLINE  

ThorvinRhuebarb

    Newbie

  • Members
  • 7 posts
  • Local time: 03:37 PM

Posted 20 July 2019 - 09:53 AM

After the family went to bed and I started checking it out, I figured it out.
 
 
It installs "per user", I have it running as a non-privileged account since it auto-logs in.
Apparently it needs privileged permissions to install or update.
 
 
If you update(install) it as the non priv acccount and just enter admin creds when prompted, it will install the updated version under the admin account.
I elevated the non-priv account to admin and it successfully updated. This resolved the issue.
 
 
I suspect that this is the reason it has not auto-updated also even though I have it set to. (Although it is weird that it reports "up to date" when you check and the update tasks all report "successful).
 
 
Is it possible to update file/folder/registry permissions and run this as a non-priv account?


#8 Luke OFFLINE  

Luke

    System Architect

  • Administrators
  • 142318 posts
  • Local time: 02:37 PM

Posted 20 July 2019 - 01:45 PM

Are you talking about the lg app or the server?

#9 ThorvinRhuebarb OFFLINE  

ThorvinRhuebarb

    Newbie

  • Members
  • 7 posts
  • Local time: 03:37 PM

Posted 20 July 2019 - 05:30 PM

The server.

 

I have it running on a Win10 workstation as a non-privileged  (no admin, no power user etc...) permissions.

 

From what I can tell, this causes the server application to not update. Even though it installs in the user context, it requires elevated permissions to update.
(unless this has changed in the newer release I just installed).



#10 Luke OFFLINE  

Luke

    System Architect

  • Administrators
  • 142318 posts
  • Local time: 02:37 PM

Posted 20 July 2019 - 06:00 PM

A default installation does not require elevation to update, but it's possible in some environments there are certain situations that may.






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users